## mm3d 1.3.9

=== src/tests/common/Makefile ===
include ../Makefile.common

all: libtest_common.a

libtest_common.a: test_common.o testfilefactory.o 
	ar cru libtest_common.a test_common.o testfilefactory.o

=== src/tests/libmm3d/Makefile ===
include ../Makefile.common

LIB = ../common/libtest_common.a ../../libmm3d/libmm3d.a

# If you add a test, be sure to add a moc dependency, and a run line below

TESTS = \
		  memutil_test.unit \
		  glmath_test.unit \
		  big_endian_test.unit \
		  datasource_test.unit \
		  datadest_test.unit \
		  filedatasource_test.unit \
		  undomgr_test.unit \
		  texcompare_test.unit \
		  texscale_test.unit \
		  model_init_test.unit \
		  model_equal_test.unit \
		  model_equiv_test.unit \
		  model_add_test.unit \
		  model_vertex_test.unit \
		  model_triangle_test.unit \
		  model_group_test.unit \
		  model_material_test.unit \
		  model_joint_test.unit \
		  model_select_test.unit \
		  model_weld_test.unit \
		  model_anim_test.unit \
		  model_test.unit \
		  new_mm3d_test.unit \
		  filter_mm3d_test.unit \
		  filter_ms3d_test.unit \
		  filter_cal3d_test.unit \
		  filter_cob_test.unit \
		  filter_dxf_test.unit \
		  filter_obj_test.unit \
		  filter_md2_test.unit \
		  filter_md3_test.unit \
		  filtermgr_test.unit \
		  cmdlinemgr_test.unit \
		  util_test.unit \
		  misc_test.unit \
		  translation_test.unit \
		  msg_test.unit

# Add moc dependencies here

all:

cmdlinemgr_test.unit: cmdlinemgr_test.moc $(LIB)

filtermgr_test.unit: filtermgr_test.moc $(LIB)

big_endian_test.unit: big_endian_test.moc $(LIB)

datasource_test.unit: datasource_test.moc $(LIB)

datadest_test.unit: datadest_test.moc $(LIB)

filedatasource_test.unit: filedatasource_test.moc $(LIB)

undomgr_test.unit: undomgr_test.moc $(LIB)

memutil_test.unit: memutil_test.moc $(LIB)

glmath_test.unit: glmath_test.moc $(LIB)

texcompare_test.unit: texcompare_test.moc $(LIB)

texscale_test.unit: texscale_test.moc $(LIB)

model_init_test.unit: model_init_test.moc $(LIB)

model_equal_test.unit: model_equal_test.moc $(LIB)

model_equiv_test.unit: model_equiv_test.moc $(LIB)

model_add_test.unit: model_add_test.moc $(LIB)

model_vertex_test.unit: model_vertex_test.moc $(LIB)

model_triangle_test.unit: model_triangle_test.moc $(LIB)

model_group_test.unit: model_group_test.moc $(LIB)

model_material_test.unit: model_material_test.moc $(LIB)

model_joint_test.unit: model_joint_test.moc $(LIB)

model_select_test.unit: model_select_test.moc $(LIB)

model_weld_test.unit: model_weld_test.moc $(LIB)

model_anim_test.unit: model_anim_test.moc $(LIB)

model_test.unit: model_test.moc $(LIB)

new_mm3d_test.unit: new_mm3d_test.moc $(LIB)

filter_mm3d_test.unit: filter_mm3d_test.moc $(LIB)

filter_ms3d_test.unit: filter_ms3d_test.moc $(LIB)

filter_cal3d_test.unit: filter_cal3d_test.moc $(LIB)

filter_cob_test.unit: filter_cob_test.moc $(LIB)

filter_dxf_test.unit: filter_dxf_test.moc $(LIB)

filter_obj_test.unit: filter_obj_test.moc $(LIB)

filter_md2_test.unit: filter_md2_test.moc $(LIB)

filter_md3_test.unit: filter_md3_test.moc $(LIB)

util_test.unit: util_test.moc $(LIB)

misc_test.unit: misc_test.moc $(LIB)

msg_test.unit: msg_test.moc $(LIB)

translation_test.unit: translation_test.moc $(LIB)

test: $(TESTS)

# Add run line here

check: test
	./memutil_test.unit -silent
	./glmath_test.unit -silent
	./big_endian_test.unit -silent
	./datasource_test.unit -silent
	./filedatasource_test.unit -silent
	./undomgr_test.unit -silent
	./datadest_test.unit -silent
	./texcompare_test.unit -silent
	./texscale_test.unit -silent
	./model_init_test.unit -silent
	./model_equal_test.unit -silent
	./model_equiv_test.unit -silent
	./model_add_test.unit -silent
	./model_vertex_test.unit -silent
	./model_triangle_test.unit -silent
	./model_group_test.unit -silent
	./model_material_test.unit -silent
	./model_joint_test.unit -silent
	./model_select_test.unit -silent
	./model_weld_test.unit -silent
	./model_anim_test.unit -silent
	./model_test.unit -silent
	./util_test.unit -silent
	./misc_test.unit -silent
	./translation_test.unit -silent
	./msg_test.unit -silent
	./filtermgr_test.unit -silent
	./cmdlinemgr_test.unit -silent

filtercheck:
	./new_mm3d_test.unit -silent
	./filter_mm3d_test.unit -silent
	./filter_ms3d_test.unit -silent
	./filter_cal3d_test.unit -silent
	./filter_md2_test.unit -silent
	./filter_md3_test.unit -silent
	./filter_obj_test.unit -silent
	./filter_cob_test.unit -silent
	./filter_dxf_test.unit -silent

fullcheck: check filtercheck

cov:
	mkdir -p cov_html
	lcov -c -d ../../ -o cov_html/coverage.dat
	./genhtml -o cov_html/ cov_html/coverage.dat

clean:
	rm -rf *.unit *.moc core core.* *.gcno

.PHONY: check fullcheck filtercheck cov clean

=== src/tests/profile/Makefile ===
include ../Makefile.common

LIBS = ../../libmm3d/libmm3d.a

# Add profile tests here

PROFILES = \
		  load_md3.prof \
		  calc_fnormals.prof \
		  calc_normals.prof \
		  group_triangles.prof \

all: $(PROFILES)

clean:
	rm -rf *.prof *.moc core core.*

.cc.prof:
	g++ $(CXXFLAGS) $(LFLAGS) -lGL -lGLU -pg -o $*.prof $< $(LIBS)

## mm3d 1.3.7

=== debian/changelog ===
mm3d (1.3.7-1.2ubuntu1) oneiric; urgency=low

  * acinclude.m4
   -Fix Qt search path for x64 maschines (LP: #770975)
   -change order of Qt linker test (so it will link with ld --as-needed option in ubuntu)
   -change order of OpenGL linker test (same as above)
   -Fixed AC_SUBST( DLOPEN_LIBS) substitution, so autoreconf will run
  * src/Makefile.am
   -change order of linker libraries (see above)
  * debian/control
   -added dh-autoreconf as build dependency
  * debian/rules
   -added dh_autoreconf
  * added quilt as patch system

 -- Florian Brandes <florian.brandes@gmx.de>  Mon, 26 Sep 2011 14:02:17 +0200

mm3d (1.3.7-1.2) unstable; urgency=low

  * Non-maintainer upload
  * Fix FTBFS due to newer GCC compiler (Closes: #505626)
    Thanks to Martin Michlmayr

 -- Steffen Joeris <white@debian.org>  Fri, 22 Jan 2010 23:08:35 +0100

mm3d (1.3.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS bug due to wrong Build-Depends -- still QT3 but new upstream
    moved to QT4. Removed useless dependencies on various X libraries.
    (Closes: #490331, #489838)

 -- Ludovico Gardenghi <garden@acheronte.it>  Tue, 21 Oct 2008 01:00:14 +0200

mm3d (1.3.7-1) unstable; urgency=low

  * New upstream version.
  * Updated my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 02 Jul 2008 08:28:38 +0200

mm3d (1.3.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix g++-4.3 FTBFS thanks to Cyril Brulebois (Closes: 454828).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 22:40:22 +0000

mm3d (1.3.6-1) unstable; urgency=low

  * New upstream version.
  * debian/watch: Added.
  * debian/control:
    + Updated standards version.
    + Moved homepage field.
  * debian/menu: Updated.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 14 Jan 2008 06:22:24 +0100

mm3d (1.3.5-1) unstable; urgency=low

  * New upstream version.
  * Added desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 17 Jul 2007 01:52:21 +0200

mm3d (1.3.4-1) unstable; urgency=low

  * Initial release. (Closes: #426994)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 31 May 2007 21:28:35 +0200

=== debian/control ===
Source: mm3d
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libqt4-opengl-dev, dh-autoreconf
Standards-Version: 3.8.0
Homepage: http://www.misfitcode.com/misfitmodel3d/

Package: mm3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: blender, yafray, wings3d
Description: OpenGL based 3D model editor
 This is an OpenGL based 3D model editor that works with triangle-based
 models. It supports multi-level undo, skeletal animations, simple texturing,
 scripting, command-line batch processing, and a plugin system for adding new
 model and image filters. Complete online help is included. It is designed to
 be easy to use and easy to extend with plugins and scripts.
 .
 It supports the following 3d files: MilkShape (ms3d), Wavefront (obj),
 LightWave 3d Object (lwo), Quake 2 model (md2), Quake 3 model (md3),
 Caligari trueSpace (cob), and AutoCAD (dxf).

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	dh_autoreconf	
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	rm -f src/*/*moc* src/qtui/*.h src/qtui/*.cc
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/mm3d install
	cp debian/mm3d.desktop debian/mm3d/usr/share/applications/
	rm -rf $(CURDIR)/debian/mm3d/usr/share/mm3d/plugins

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_desktop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://www.misfitcode.com/misfitmodel3d/ (?:.*/)?mm3d-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## mm3d 1.3.9

=== debian/changelog ===
mm3d (1.3.9-1) unstable; urgency=medium

  * New upstream version. (Closes: #875048, #494967)
  * debian/mm3d.1: dropped.
  * debian/mm3d.desktop: dropped.
  * debian/patches: dropped.
  * Homepages updated.
  * debian/watch: updated.
  * Bump standards version to 11.
  * Bump debhelper version to 4.1.3.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 26 Jan 2018 20:35:15 +0100

mm3d (1.3.7-3) unstable; urgency=medium

  * QA upload.
  * Reorder command line arguments to fix FTBFS with --as-needed linker option.
  * Bump standards version.
  * Don't ship mimelnk file anymore. Closes: #875518.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Nov 2017 16:23:43 +0100

mm3d (1.3.7-2) unstable; urgency=medium

  * Orphan the package.
  * Fix an underquoted autoconf macro.
  * Convert to dh (9).
    + dh_desktop is no more (Closes: #817301).
  * Rebuild autoconfage at build time.
  * Remove debian/menu.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Apr 2016 04:17:05 +0200

mm3d (1.3.7-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix unreported FTBFS due to multi-arched Qt:
    - build depend on pkg-config
    - use it to set Qt's libdir in debian/rules
  * Fix "ftbfs with GCC-4.7":
    - src/libmm3d/misc.cc: add missing include
    - src/libmm3d/sorted_list.h: add this-> qualifiers
    (Closes: #667284)

 -- gregor herrmann <gregoa@debian.org>  Wed, 09 May 2012 17:28:22 +0200

mm3d (1.3.7-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: cmdmgr.cc:27:47: error: 'NULL' was not declared in this
    scope": add patch from peter green (include missing header).
    Closes: #625117

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2011 14:06:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: mm3d
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libqt4-opengl-dev, dh-autoreconf
-Standards-Version: 3.8.0
-Homepage: http://www.misfitcode.com/misfitmodel3d/
+Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Build-Depends: debhelper (>= 11), qtchooser, qtbase5-dev, qt5-qmake, libqt5opengl5-dev, pkg-config, dh-autoreconf, libhtml-template-perl, qttools5-dev-tools
+Standards-Version: 4.1.3
+Homepage: https://github.com/zturtleman/mm3d
 
 Package: mm3d
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5

%:
	dh $@ --parallel --with autoreconf

QtDir=$(shell pkg-config --variable=libdir Qt5Core)
QtIncDir=$(shell pkg-config --variable=includedir Qt5Core)

override_dh_auto_configure:
	dh_auto_configure -- \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-Qt-lib-dir=$(QtDir)/qt5 \
		--with-Qt-include-dir=$(QtIncDir)

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/*/*moc* src/qtui/*.h src/qtui/*.cc
	find -name Makefile.in -execdir rm '{}' +

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/mm3d install
	cp desktop/mm3d.desktop debian/mm3d/usr/share/applications/
	rm -rf $(CURDIR)/debian/mm3d/usr/share/mm3d/plugins
	rm -rf $(CURDIR)/debian/mm3d/usr/share/mimelnk

=== debian/watch ===
version=4

# GitHub hosted projects
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/zturtleman/mm3d/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## mm3d 1.3.9%2Bgit20180220

=== debian/changelog ===
mm3d (1.3.9+git20180220-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 20 Feb 2018 16:44:47 +0100

mm3d (1.3.9-2) unstable; urgency=medium

  * debian/copyright: improved.
  * debian/rules: profiling turned off. (Closes: #517564, #515140)
  * debian/control: update build-deps. (Closes: #889005)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Feb 2018 14:25:31 +0100

## mm3d 1.3.9+git20180220

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), qtchooser, qtbase5-dev, qt5-qmake, libqt5opengl5-dev, pkg-config, dh-autoreconf, libhtml-template-perl, qttools5-dev-tools
+Build-Depends: debhelper (>= 11), qtchooser, qtbase5-dev, qt5-qmake, libqt5opengl5-desktop-dev, pkg-config, dh-autoreconf, libhtml-template-perl, qttools5-dev-tools
 Standards-Version: 4.1.3
 Homepage: https://github.com/zturtleman/mm3d

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/zturtleman/mm3d/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## mm3d 1.3.10

=== debian/changelog ===
mm3d (1.3.10-3) unstable; urgency=medium

  * Maybe fix GNU/Hurd building.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Dec 2018 09:06:25 +0100

mm3d (1.3.10-2) unstable; urgency=medium

  * Fix GNU/Hurd building.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 11 Dec 2018 11:17:07 +0100

mm3d (1.3.10-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 08 Sep 2018 13:20:41 +0200

## mm3d 1.3.11

=== debian/changelog ===
mm3d (1.3.11-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 03 Jan 2019 06:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), qtchooser, qtbase5-dev, qt5-qmake, libqt5opengl5-desktop-dev, pkg-config, dh-autoreconf, libhtml-template-perl, qttools5-dev-tools
-Standards-Version: 4.1.3
-Homepage: https://github.com/zturtleman/mm3d
+Build-Depends: debhelper (>= 11), qtchooser, qtbase5-dev, qt5-qmake, libqt5opengl5-desktop-dev, pkg-config, libhtml-template-perl, qttools5-dev-tools
+Standards-Version: 4.2.1
+Homepage: https://clover.moe/mm3d/
 
 Package: mm3d
 Architecture: any

## mm3d 1.3.12

=== src/tests/common/Makefile ===
include ../Makefile.common

all: libtest_common.a

clean:
	rm -rf libtest_common.a test_common.o testfilefactory.o *.gcno *.gcda

libtest_common.a: test_common.o testfilefactory.o 
	ar cru libtest_common.a test_common.o testfilefactory.o

=== src/tests/libmm3d/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../Makefile.common
 
-LIB = ../common/libtest_common.a ../../libmm3d/libmm3d.a
+LIBS = ../common/libtest_common.a ../../libmm3d/libmm3d.a
 
 # If you add a test, be sure to add a moc dependency, and a run line below
 
@@ -47,79 +47,79 @@
 
 all:
 
-cmdlinemgr_test.unit: cmdlinemgr_test.moc $(LIB)
+cmdlinemgr_test.unit: cmdlinemgr_test.moc $(LIBS)
 
-filtermgr_test.unit: filtermgr_test.moc $(LIB)
+filtermgr_test.unit: filtermgr_test.moc $(LIBS)
 
-big_endian_test.unit: big_endian_test.moc $(LIB)
+big_endian_test.unit: big_endian_test.moc $(LIBS)
 
-datasource_test.unit: datasource_test.moc $(LIB)
+datasource_test.unit: datasource_test.moc $(LIBS)
 
-datadest_test.unit: datadest_test.moc $(LIB)
+datadest_test.unit: datadest_test.moc $(LIBS)
 
-filedatasource_test.unit: filedatasource_test.moc $(LIB)
+filedatasource_test.unit: filedatasource_test.moc $(LIBS)
 
-undomgr_test.unit: undomgr_test.moc $(LIB)
+undomgr_test.unit: undomgr_test.moc $(LIBS)
 
-memutil_test.unit: memutil_test.moc $(LIB)
+memutil_test.unit: memutil_test.moc $(LIBS)
 
-glmath_test.unit: glmath_test.moc $(LIB)
+glmath_test.unit: glmath_test.moc $(LIBS)
 
-texcompare_test.unit: texcompare_test.moc $(LIB)
+texcompare_test.unit: texcompare_test.moc $(LIBS)
 
-texscale_test.unit: texscale_test.moc $(LIB)
+texscale_test.unit: texscale_test.moc $(LIBS)
 
-model_init_test.unit: model_init_test.moc $(LIB)
+model_init_test.unit: model_init_test.moc $(LIBS)
 
-model_equal_test.unit: model_equal_test.moc $(LIB)
+model_equal_test.unit: model_equal_test.moc $(LIBS)
 
-model_equiv_test.unit: model_equiv_test.moc $(LIB)
+model_equiv_test.unit: model_equiv_test.moc $(LIBS)
 
-model_add_test.unit: model_add_test.moc $(LIB)
+model_add_test.unit: model_add_test.moc $(LIBS)
 
-model_vertex_test.unit: model_vertex_test.moc $(LIB)
+model_vertex_test.unit: model_vertex_test.moc $(LIBS)
 
-model_triangle_test.unit: model_triangle_test.moc $(LIB)
+model_triangle_test.unit: model_triangle_test.moc $(LIBS)
 
-model_group_test.unit: model_group_test.moc $(LIB)
+model_group_test.unit: model_group_test.moc $(LIBS)
 
-model_material_test.unit: model_material_test.moc $(LIB)
+model_material_test.unit: model_material_test.moc $(LIBS)
 
-model_joint_test.unit: model_joint_test.moc $(LIB)
+model_joint_test.unit: model_joint_test.moc $(LIBS)
 
-model_select_test.unit: model_select_test.moc $(LIB)
+model_select_test.unit: model_select_test.moc $(LIBS)
 
-model_weld_test.unit: model_weld_test.moc $(LIB)
+model_weld_test.unit: model_weld_test.moc $(LIBS)
 
-model_anim_test.unit: model_anim_test.moc $(LIB)
+model_anim_test.unit: model_anim_test.moc $(LIBS)
 
-model_test.unit: model_test.moc $(LIB)
+model_test.unit: model_test.moc $(LIBS)
 
-new_mm3d_test.unit: new_mm3d_test.moc $(LIB)
+new_mm3d_test.unit: new_mm3d_test.moc $(LIBS)
 
-filter_mm3d_test.unit: filter_mm3d_test.moc $(LIB)
+filter_mm3d_test.unit: filter_mm3d_test.moc $(LIBS)
 
-filter_ms3d_test.unit: filter_ms3d_test.moc $(LIB)
+filter_ms3d_test.unit: filter_ms3d_test.moc $(LIBS)
 
-filter_cal3d_test.unit: filter_cal3d_test.moc $(LIB)
+filter_cal3d_test.unit: filter_cal3d_test.moc $(LIBS)
 
-filter_cob_test.unit: filter_cob_test.moc $(LIB)
+filter_cob_test.unit: filter_cob_test.moc $(LIBS)
 
-filter_dxf_test.unit: filter_dxf_test.moc $(LIB)
+filter_dxf_test.unit: filter_dxf_test.moc $(LIBS)
 
-filter_obj_test.unit: filter_obj_test.moc $(LIB)
+filter_obj_test.unit: filter_obj_test.moc $(LIBS)
 
-filter_md2_test.unit: filter_md2_test.moc $(LIB)
+filter_md2_test.unit: filter_md2_test.moc $(LIBS)
 
-filter_md3_test.unit: filter_md3_test.moc $(LIB)
+filter_md3_test.unit: filter_md3_test.moc $(LIBS)
 
-util_test.unit: util_test.moc $(LIB)
+util_test.unit: util_test.moc $(LIBS)
 
-misc_test.unit: misc_test.moc $(LIB)
+misc_test.unit: misc_test.moc $(LIBS)
 
-msg_test.unit: msg_test.moc $(LIB)
+msg_test.unit: msg_test.moc $(LIBS)
 
-translation_test.unit: translation_test.moc $(LIB)
+translation_test.unit: translation_test.moc $(LIBS)
 
 test: $(TESTS)
 
@@ -174,6 +174,6 @@
 	./genhtml -o cov_html/ cov_html/coverage.dat
 
 clean:
-	rm -rf *.unit *.moc core core.* *.gcno
+	rm -rf *.unit *.moc core core.* *.gcno *.gcda
 
 .PHONY: check fullcheck filtercheck cov clean

=== debian/changelog ===
mm3d (1.3.12-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 09 Oct 2019 15:49:51 +0200

mm3d (1.3.12~rc1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 01 Oct 2019 13:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), qtchooser, qtbase5-dev, qt5-qmake, libqt5opengl5-desktop-dev, pkg-config, libhtml-template-perl, qttools5-dev-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://clover.moe/mm3d/
 
 Package: mm3d

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 QtDir=$(shell pkg-config --variable=libdir Qt5Core)
 QtIncDir=$(shell pkg-config --variable=includedir Qt5Core)
@@ -20,11 +20,12 @@
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--with-Qt-lib-dir=$(QtDir)/qt5 \
-		--with-Qt-include-dir=$(QtIncDir)
+		--with-Qt-lib-dir=$(QtDir) \
+		--with-Qt-include-dir=$(QtIncDir) \
+		--enable-profile=no
 
 override_dh_auto_clean:
-	dh_auto_clean
+#	dh_auto_clean
 	rm -f src/*/*moc* src/qtui/*.h src/qtui/*.cc
 	find -name Makefile.in -execdir rm '{}' +

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/zturtleman/mm3d/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## mm3d 1.3.13

=== src/tests/profile/Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 all: $(PROFILES)
 
 clean:
-	rm -rf *.prof *.moc core core.*
+	rm -rf *.prof *.moc core core.* *.gcno *.gcda
 
 .cc.prof:
-	g++ $(CXXFLAGS) $(LFLAGS) -lGL -lGLU -pg -o $*.prof $< $(LIBS)
+	$(CXX) $(CXXFLAGS) -pg -o $*.prof $< $(LIBS) $(TESTLIBS)

=== debian/changelog ===
mm3d (1.3.13-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Dec 2021 12:50:19 -0800

mm3d (1.3.13-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.6.0.
  * Update maintainer address.
  * d/clean: updated.
  * d/control: added Rules-Requires-Root.
  * d/copyright: modernised and updated years.
  * d/patches: not applying anymore dbgsym and fix-spelling.

 -- Gürkan Myczko <tar@debian.org>  Wed, 22 Dec 2021 05:30:37 +0100

mm3d (1.3.12-2) unstable; urgency=medium

  * Bump standards version to 4.4.1.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 31 Jan 2020 16:06:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,27 @@
 Source: mm3d
 Section: graphics
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), qtchooser, qtbase5-dev, qt5-qmake, libqt5opengl5-desktop-dev, pkg-config, libhtml-template-perl, qttools5-dev-tools
-Standards-Version: 4.4.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               libhtml-template-perl,
+               libqt5opengl5-desktop-dev,
+               pkg-config,
+               qt5-qmake,
+               qtbase5-dev,
+               qtchooser,
+               qttools5-dev-tools
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/multimedia-team/mm3d.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/mm3d
 Homepage: https://clover.moe/mm3d/
 
 Package: mm3d
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: blender, yafray, wings3d
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: blender, wings3d, yafray
 Description: OpenGL based 3D model editor
  This is an OpenGL based 3D model editor that works with triangle-based
  models. It supports multi-level undo, skeletal animations, simple texturing,

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,10 @@
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mm3d install
-	cp desktop/mm3d.desktop debian/mm3d/usr/share/applications/
+#	cp desktop/mm3d.desktop debian/mm3d/usr/share/applications/
 	rm -rf $(CURDIR)/debian/mm3d/usr/share/mm3d/plugins
 	rm -rf $(CURDIR)/debian/mm3d/usr/share/mimelnk
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mm3d 1.3.14

=== src/tests/libmm3d/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../Makefile.common
 
-LIBS = ../common/libtest_common.a ../../libmm3d/libmm3d.a
+LIBS = ../common/libtest_common.a $(BUILDDIR)/src/libmm3d/libmm3d.a
 
 # If you add a test, be sure to add a moc dependency, and a run line below

=== debian/changelog ===
mm3d (1.3.14-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:10 +1100

mm3d (1.3.14-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:57:15 +0000

mm3d (1.3.14-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: rename Recommends to Suggests.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 09:51:11 +0200

mm3d (1.3.14-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Sun, 23 Apr 2023 14:26:21 +0200

=== debian/control ===
Source: mm3d
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 qtchooser,
 qtbase5-dev,
 qt5-qmake,
 libqt5opengl5-desktop-dev,
 pkg-config,
 libhtml-template-perl,
 qttools5-dev-tools
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/mm3d.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mm3d
Homepage: https://clover.moe/mm3d/

Package: mm3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: blender, yafray, wings3d
Description: OpenGL based 3D model editor
 This is an OpenGL based 3D model editor that works with triangle-based
 models. It supports multi-level undo, skeletal animations, simple texturing,
 scripting, command-line batch processing, and a plugin system for adding new
 model and image filters. Complete online help is included. It is designed to
 be easy to use and easy to extend with plugins and scripts.
 .
 It supports the following 3d files: MilkShape (ms3d), Wavefront (obj),
 LightWave 3d Object (lwo), Quake 2 model (md2), Quake 3 model (md3),
 Caligari trueSpace (cob), and AutoCAD (dxf).

## mm3d 1.3.14+git20240503+ds

=== debian/changelog ===
mm3d (1.3.14+git20240503+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update pkg-config to pkgconf.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Fri, 03 May 2024 13:32:50 +0200

## mm3d 1.3.15

=== debian/changelog ===
mm3d (1.3.15-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 19 Aug 2024 07:48:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: mm3d
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  qtchooser,
  qtbase5-dev,
  qt5-qmake,
  libqt5opengl5-desktop-dev,
- pkg-config,
+ pkgconf,
  libhtml-template-perl,
  qttools5-dev-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/mm3d.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mm3d
